# Create

Launch stage: GA

`POST /api/disaster-recovery/v1/{parent=accounts/*}/failover-groups`

Create a new failover group.

API scopes: disaster-recovery

Clouds: AWS, Azure

## Path parameters

- `parent` (string, optional)
  The parent resource. Format: accounts/{account_id}.

## Query parameters

- `validate_only` (boolean, optional)
  When true, validates the request without creating the failover group.
  Default: `false`
- `failover_group_id` (string, optional)
  Client-provided identifier for the failover group. Used to construct the
   resource name as {parent}/failover-groups/{failover_group_id}.

## Request body

- `failover_group` (object, optional)
  The failover group to create.
  - `name` (string, optional)
    Fully qualified resource name in the format
     accounts/{account_id}/failover-groups/{failover_group_id}.
  - `effective_primary_region` (string, optional)
    Current effective primary region. Replication flows FROM workspaces in this region.
     Changes after a successful failover.
  - `regions` (array of string, optional)
    List of all regions participating in this failover group.
  - `workspace_sets` (array of object, optional)
    Workspace sets, each containing workspaces that replicate to each other.
    - `name` (string, optional)
      Resource name for this workspace set.
      Example: `accounting`
    - `workspace_ids` (array of string, optional)
      Workspace IDs in this set. The system derives and validates regions.
       All workspaces must be in the Mission Critical tier.
    - `replicate_workspace_assets` (boolean, optional)
      Whether to enable control plane DR (notebooks, jobs, clusters, etc.) for this set.
       Defaults to false.
    - `stable_url_names` (array of string, optional)
      Resource names of stable URLs associated with this workspace set.
       Format: accounts/{account_id}/stable-urls/{stable_url_id}.
       The referenced stable URLs must already exist (via CreateStableUrl).
  - `unity_catalog_assets` (object, optional)
    Unity Catalog replication configuration.
    - `location_mappings` (array of object, optional)
      Location mappings - storage URI per region for each location.
      - `name` (string, optional)
        Resource name for this location.
        Example: `main-storage`
      - `uri_by_region` (array of object, optional)
        URI for each region. Each entry maps a region name to a storage URI.
    - `catalogs` (array of object, optional)
      UC catalogs to replicate.
      - `name` (string, optional)
        The name of the UC catalog to replicate.
    - `data_replication_workspace_set` (string, optional)
      The workspace set whose workspaces will be used for data replication
       of all UC catalogs' underlying storage.
      Example: `accounting`
  - `state` (string, optional)
    Aggregate state of the failover group.
    Possible values: `STATE_UNSPECIFIED`, `CREATING`, `CREATION_FAILED`, `INITIAL_REPLICATION`, `ACTIVE`, `FAILING_OVER`, `DELETING`, `FAILOVER_FAILED`, `DELETION_FAILED`
  - `etag` (string, optional)
    Opaque version string for optimistic locking. Server-generated and returned in responses.
  - `create_time` (string, optional)
    Time at which this failover group was created.
  - `update_time` (string, optional)
    Time at which this failover group was last modified.
  - `replication_point` (string, optional)
    The latest point in time to which data has been replicated.
  - `initial_primary_region` (string, optional)
    Initial primary region. Used only in Create requests to set the starting
     primary region. Not returned in responses.

## Returns

Returns the FailoverGroup object.

## Response

```json
{
  "name": "string",
  "effective_primary_region": "string",
  "regions": [
    "string"
  ],
  "workspace_sets": [
    {
      "name": "accounting",
      "workspace_ids": [
        "string"
      ],
      "replicate_workspace_assets": true,
      "stable_url_names": [
        "string"
      ]
    }
  ],
  "unity_catalog_assets": {
    "location_mappings": [
      {}
    ],
    "catalogs": [
      {}
    ],
    "data_replication_workspace_set": "accounting"
  },
  "state": "string",
  "etag": "string",
  "create_time": "string",
  "update_time": "string",
  "replication_point": "string",
  "initial_primary_region": "string"
}
```

